---
updatedAt: 2025-11-11T23:07:04.000Z
agentTools:
  projectIndex: https://developers.shipup.co/llms.txt
---

# Trackers

## GET /v2/trackers

You can list all trackers or a subset of them with specific parameters (see below). The trackers are returned sorted by ID in descending order.

Along with relationships described in [Shipup core resources](https://developers.shipup.co/reference/getting-started-1), you can expand all [events](https://developers.shipup.co/reference/event-api-resource) related to the trackers.

## Parameters:

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        PARAMETER
      </th>

      <th>
        DESCRIPTION
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        **tracking\_number**
        string, optional
      </td>

      <td>
        Only return the trackers with this tracking number
      </td>
    </tr>

    <tr>
      <td>
        **created\_at**\
        datetime or object, optional
      </td>

      <td>
        A filter on the list based on the object `created_at` field. The value can be a string with an integer Unix timestamp, or it can be an object with the following options:\
        `created_at[gt]`: `created_at` field is greater than this value\
        `created_at[gte]`: `created_at` field is greater than or equal to this value\
        `created_at[lt]`: `created_at` field is less than this value\
        `created_at[lte]`: `created_at` field is less than or equal to this value
      </td>
    </tr>
  </tbody>
</Table>

```curl Request
curl --location -g --request GET "https://api.shipup.co/v2/trackers?expand[]=fulfillment.order.shipping_address&expand[]=fulfillment.order.line_items&expand[]=fulfillment.shipping_address&expand[]=fulfillment.line_items&expand[]=events.address&expand[]=line_items&expand[]=carrier&expand[]=notifications.notification_payloads&expand[]=notifications.notification_type" \
--header "Authorization: ${PRIVATE_KEY}" \
--header "Content-Type: application/json"
```

```json Response
// status code
200

// body
{
  "object": "tracker",
  "id": 12345,
  "created_at": 1570906800,
  "custom_variables": null,
  "delivered_at": null,
  "delivery_status_code": "in_transit",
  "displayable_expected_delivery_date": "2019-10-13",
  "displayable_expected_delivery_datetime": null,
  "displayable_expected_delivery_kind": "carrier",
  "first_delivery_attempted_at": null,
  "mute_notifications": false,
  "shipped_at": null,
  "tracking_link": "http://www.laposte.fr/outils/suivre-vos-envois?code=AZERTYU123",
  "tracking_number": "AZERTYU123",
  "untracked_carrier_name": null,
  "untracked_carrier_url": null,
  "updated_at": null,
  "uuid": "6ac199f1-e1f7-41c0-b26a-a409a31e51f2",
  "carrier": {
    "object": "carrier",
    "code": "colissimo",
    "name": "Colissimo"
  },
  "carrier_service": {
    "object": "carrier_service",
    "id": 12345,
    "code": "colissimo_express",
    "name": "Colissimo Express"
  },
  "events": {
    "object": "list",
    "data": [
      {
        "object": "event",
        "id": 12346,
        "event_type_code": null,
        "happened_at": 1570906800,
        "message": "Out for delivery",
        "raw": "{:matcher=>\"Out for delivery\", :date=>Sat, 12 Oct 2019 19:00:00 +0000}",
        "messages": {
          "en": "Out for delivery",
          "fr": "Out for delivery"
        },
        "address": null
      },
      {
        "object": "event",
        "id": 12345,
        "event_type_code": "origin_scan",
        "happened_at": 1570906800,
        "message": "Package received",
        "raw": "{:message=>\"Package received\", :date=>Sat, 12 Oct 2019 19:00:00 +0000}",
        "messages": {
          "en": "Origin Scan",
          "fr": "Scan d'entrée"
        },
        "address": null
      }
    ]
  },
  "notifications": {
    "object": "list",
    "data": [
      {
        "object": "notification",
        "id": 12345,
        "created_at": 1570906800,
        "language_code": "fr",
        "notification_payloads": {
          "object": "list",
          "data": [
            {
              "object": "notification_payload",
              "id": 12345,
              "created_at": 1570906800,
              "dispatched": false,
              "status": "built",
              "error": null,
              "type": "email",
              "support_cced": null
            }
          ]
        },
        "notification_type": {
          "object": "notification_type",
          "id": 12345,
          "name": "Package delivered",
          "category": "package_delivered",
          "description": "The package was delivered to the recipient",
          "slug": "package_delivered"
        }
      }
    ]
  },
  "fulfillment": {
    "object": "fulfillment",
    "id": 12345,
    "created_at": null,
    "custom_variables": null,
    "estimated_delivery_range_end": null,
    "estimated_delivery_range_start": null,
    "fulfillment_number": "FULFILLMENT_NUMBER_1",
    "merchant_id": "FULFILLMENT_M_ID_1",
    "status_code": "shipped",
    "updated_at": null,
    "uuid": "365fc2b2-1c9e-476d-a911-6b73a59a4eec",
    "line_items": {
      "object": "list",
      "data": [

      ]
    },
    "order": {
      "object": "order",
      "id": 12345,
      "canceled": false,
      "created_at": null,
      "custom_variables": null,
      "email": "john@gmail.com",
      "first_name": "Héloise",
      "language_code": "fr",
      "last_name": null,
      "merchant_id": "ORDER_M_ID_1",
      "mute_notifications": false,
      "order_number": "ORDER_NUMBER_1",
      "ordered_at": 1570906800,
      "phone": null,
      "updated_at": null,
      "uuid": "6c9d8ae1-1a67-4499-8018-0bb3bd4729b2",
      "line_items": {
        "object": "list",
        "data": [

        ]
      },
      "notifications": {
        "object": "list",
        "data": [

        ]
      },
      "shipping_address": {
        "object": "address",
        "id": 12345,
        "address1": "39 rue Beauregard",
        "address2": null,
        "city": "Paris",
        "comment": null,
        "company_title": null,
        "country": "France",
        "country_code": "FR",
        "first_name": "John",
        "last_name": "Doe",
        "name": "John Doe",
        "state": null,
        "zip": "75002"
      }
    },
    "shipping_address": {
      "object": "address",
      "id": 12345,
      "address1": "39 rue Beauregard",
      "address2": null,
      "city": "Paris",
      "comment": null,
      "company_title": null,
      "country": "France",
      "country_code": "FR",
      "first_name": "John",
      "last_name": "Doe",
      "name": "John Doe",
      "state": null,
      "zip": "75002"
    },
    "notifications": {
      "object": "list",
      "data": [

      ]
    }
  },
  "line_items": {
    "object": "list",
    "data": [
      {
        "object": "line_item",
        "id": 12347,
        "canceled": null,
        "canceled_quantity": null,
        "created_at": 1570906800,
        "custom_variables": null,
        "description": null,
        "merchant_id": "LINE_ITEM_M_UNFULFILLED_ID_3",
        "name": null,
        "quantity": null,
        "requires_shipping": null,
        "shipped_quantity": null,
        "sku": "LINE_ITEM_UNFULFILLED_SKU_3",
        "thumbnail": {
          "src": "https://imgurl.com/foo.jpg",
          "width": "300",
          "height": "100"
        },
        "title": null,
        "updated_at": 1570906800,
        "variant_title": null
      },
      {
        "object": "line_item",
        "id": 12346,
        "canceled": null,
        "canceled_quantity": null,
        "created_at": 1570906800,
        "custom_variables": null,
        "description": null,
        "merchant_id": "LINE_ITEM_M_UNFULFILLED_ID_2",
        "name": null,
        "quantity": null,
        "requires_shipping": null,
        "shipped_quantity": null,
        "sku": "LINE_ITEM_UNFULFILLED_SKU_2",
        "thumbnail": {
          "src": "https://imgurl.com/foo.jpg",
          "width": "300",
          "height": "100"
        },
        "title": null,
        "updated_at": 1570906800,
        "variant_title": null
      },
      {
        "object": "line_item",
        "id": 12345,
        "canceled": null,
        "canceled_quantity": null,
        "created_at": 1570906800,
        "custom_variables": null,
        "description": null,
        "merchant_id": "LINE_ITEM_M_UNFULFILLED_ID_1",
        "name": null,
        "quantity": null,
        "requires_shipping": null,
        "shipped_quantity": null,
        "sku": "LINE_ITEM_UNFULFILLED_SKU_1",
        "thumbnail": {
          "src": "https://imgurl.com/foo.jpg",
          "width": "300",
          "height": "100"
        },
        "title": null,
        "updated_at": 1570906800,
        "variant_title": null
      }
    ]
  },
  "claims": {
    "object": "list",
    "data": [

    ]
  }
}
```